<?xml version="1.0" 
?><xsl:stylesheet version="1.0"
xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
><xsl:output mode="html" doctype-public="-//W3C//DTD HTML 4.01//EN" 
></xsl:output ><!-- 
The implementation of Pp requires to group nodes into paragraphs.
At input <man ><n1 /><n2 /><Pp /><n3 /></man >
To output <man ><P ><n1 /><n2 /></P ><P ><n3 /></P ></man > 
--><xsl:template match="/man" mode="test-Pp"
><P 
><xsl:apply-templates 
select="node() [not (../Pp)] | Pp/preceding-sibling::node()" 
></xsl:apply-templates ></P ></xsl:template 
><xsl:template match="Pp" mode="test-Pp"
><P ><xsl:apply-templates 
select="following-sibling::node() 
[count (current()/following-sibling::Pp) = count (following-sibling::Pp)]" 
></xsl:apply-templates ></P 
><xsl:apply-templates select="following-sibling::Pp" ></xsl:apply-templates 
></xsl:template 
><xsl:template match="/man" 
><HTML 
><HEAD 
><TITLE 
><xsl:value-of select="descendant::title[1]" ></xsl:value-of ></TITLE 
></HEAD 
><BODY 
><xsl:apply-templates select="h1 | Sh" /></BODY 
></HTML 
></xsl:template ><xsl:template match="title" ></xsl:template 
><xsl:template match="Nm" mode="af-Sh" 
><!-- name of the current page 
--><xsl:if test="normalize-space (preceding-sibling::Sh[1]) = 'SYNOPSIS'" 
><BR /></xsl:if ><xsl:apply-templates mode="Nm" ></xsl:apply-templates 
></xsl:template 
><xsl:template match="Nm/pnt" mode="Nm" 
><!-- punctuation inside name should not happen but it still does 
--><xsl:apply-templates mode="af-Sh" ></xsl:apply-templates ></xsl:template 
><xsl:template match="Nm/node()" mode="Nm" 
><!-- bolden every word of a name, except punctuation 
--><B CLASS="Nm" 
><xsl:apply-templates select="." mode="af-Sh" ></xsl:apply-templates ></B 
></xsl:template 
><xsl:template match="h1" 
><!-- print the title 
--><H1 ><xsl:apply-templates ></xsl:apply-templates ></H1 
><!-- generate ToC --><OL 
><xsl:apply-templates select="../Sh" mode="ToC" ></xsl:apply-templates ></OL 
></xsl:template 
><xsl:template match="Sh" mode="ToC" 
><LI ID="ToC-{translate(normalize-space(), ' ', '_')}"
><A CLASS="ToC" HREF="#Sh-{translate(normalize-space(), ' ', '_')}"  
><xsl:apply-templates ></xsl:apply-templates ></A ></LI 
></xsl:template ><xsl:template match="Sh | Pp" mode="af-Sh" 
><P ><xsl:variable name="c" 
select="count (following-sibling::Sh | following-sibling::Pp |
following-sibling::l | following-sibling::It)" 
></xsl:variable 
><xsl:apply-templates 
select="following-sibling::node() 
[$c = count(following-sibling::Sh | following-sibling::Pp |
following-sibling::l | following-sibling::It)]" 
mode="af-Sh"
></xsl:apply-templates ></P 
></xsl:template 
><xsl:template match="Sh" 
><H2 ID="Sh-{translate(normalize-space(), ' ', '_')}" 
><A CLASS="toToC" HREF="#ToC-{translate(normalize-space(), ' ', '_')}" 
><xsl:apply-templates ></xsl:apply-templates ></A ></H2 
><xsl:apply-templates select="." mode="af-Sh" ></xsl:apply-templates 
><xsl:variable name="c" select="count (following-sibling::Sh)" 
></xsl:variable 
><xsl:apply-templates 
select="(following-sibling::Pp | following-sibling::l) 
[$c = count (following-sibling::Sh)]" 
mode="af-Sh" ></xsl:apply-templates 
></xsl:template 
><xsl:template match="*" mode="af-Sh" 
><U ><xsl:value-of select="name(..)" ></xsl:value-of 
>.<xsl:value-of select="name()" ></xsl:value-of ></U ><xsl:text > </xsl:text 
></xsl:template 
><xsl:template match="Sx" mode="af-Sh" 
><A HREF="#Sh-{translate(normalize-space(), ' ', '_')}" 
><xsl:apply-templates mode="af-Sh" ></xsl:apply-templates 
></A ><xsl:text > </xsl:text ></xsl:template 
><xsl:template match="Fl" mode="af-Sh"
><B CLASS="Fl" >-<xsl:apply-templates mode="af-Sh" ></xsl:apply-templates ></B 
><xsl:apply-templates select="Ar" mode="Fl" ></xsl:apply-templates 
></xsl:template 
><xsl:template 
match="Fl/text() | Sx/text()[not (following-sibling::node()[2])] | 
Ic/text()[not (following-sibling::node()[2])]" mode="af-Sh"
><xsl:value-of select="normalize-space(.)" ></xsl:value-of ></xsl:template 
><xsl:template match="pnt" mode="af-Sh" 
><xsl:apply-templates mode="af-Sh" ></xsl:apply-templates ></xsl:template 
><xsl:template match="Ar/comment() | Ar/pnt" mode="render" 
><!-- These things do not make arguments 
--><xsl:apply-templates select="." mode="af-Sh" ></xsl:apply-templates 
></xsl:template 
><xsl:template match="Ar/node()" mode="render" 
><VAR CLASS="Ar" 
><xsl:apply-templates select="." mode="af-Sh" ></xsl:apply-templates ></VAR 
></xsl:template 
><xsl:template match="Fl/Ar" mode="Fl" 
><xsl:apply-templates select="." mode="render" ></xsl:apply-templates 
></xsl:template 
><xsl:template match="Ar" mode="af-Sh" 
><xsl:apply-templates mode="af-Sh" ></xsl:apply-templates ></xsl:template 
><xsl:template match="Fl/Ar" mode="af-Sh" ></xsl:template 
><xsl:template match="Ar" mode="af-Sh"
><xsl:apply-templates mode="render" ></xsl:apply-templates 
></xsl:template 
><xsl:template match="Op" mode="af-Sh"
>[<xsl:apply-templates mode="af-Sh" ></xsl:apply-templates >]</xsl:template 
><xsl:template match="m" mode="af-Sh" ></xsl:template 
><xsl:template match="Ic | Dv | Ev | No" mode="af-Sh" 
><xsl:apply-templates mode="af-Sh" ></xsl:apply-templates 
><xsl:text > </xsl:text ></xsl:template 
><xsl:template match="Ic/text() | Dv/text() | Ev/text()" mode="af-Sh" 
><xsl:if test="normalize-space() or following-sibling::node()[2]" 
><TT CLASS="{name(..)}" 
><xsl:copy ></xsl:copy ></TT ></xsl:if 
></xsl:template 
><xsl:template match="It" mode="It" ></xsl:template 
><xsl:template match="Xc" mode="Xo" ></xsl:template 
><xsl:template match="node()" mode="Xo" 
><xsl:apply-templates select="." mode="af-Sh" ></xsl:apply-templates 
><xsl:apply-templates select="following-sibling::node()[1]" mode="Xo" 
></xsl:apply-templates ></xsl:template 
><xsl:template match="Li/Xo" mode="af-Sh" 
><xsl:apply-templates select="../following-sibling::node()[1]" mode="Xo" 
></xsl:apply-templates ></xsl:template 
><xsl:template match="Xo | Xc" mode="af-Sh" 
><!-- spurious, ignore --></xsl:template 
><xsl:template match="Xc" mode="It" 
><xsl:apply-templates select="following-sibling::node()[1]" mode="It" 
></xsl:apply-templates ></xsl:template 
><xsl:template match="Pp | l" mode="It" ></xsl:template 
><xsl:template match="node()" mode="It" 
><xsl:param name="xo" ></xsl:param ><xsl:if test="not($xo)" 
><xsl:apply-templates select="." mode="af-Sh" ></xsl:apply-templates 
></xsl:if 
><xsl:apply-templates select="following-sibling::node()[1]" mode="It" 
><xsl:with-param name="xo" select="$xo" ></xsl:with-param
></xsl:apply-templates ></xsl:template 
><xsl:template match="It" mode="af-It" ></xsl:template 
><xsl:template match="Pp | It | l" mode="af-Pp" ></xsl:template 
><xsl:template match="node()" mode="af-Pp" 
><xsl:apply-templates select="." mode="af-Sh" ></xsl:apply-templates 
><xsl:apply-templates select="following-sibling::node()[1]" mode="af-Pp" 
></xsl:apply-templates 
></xsl:template 
><xsl:template match="Pp" mode="af-It" 
><P 
><xsl:apply-templates select="following-sibling::node()[1]" mode="af-Pp" 
></xsl:apply-templates ></P 
><xsl:apply-templates 
select="(following-sibling::Pp | following-sibling::It 
| following-sibling::l)[1]" 
mode="af-It"
></xsl:apply-templates ></xsl:template 
><xsl:template match="l" mode="af-It" 
><xsl:apply-templates select="." mode="af-Sh" ></xsl:apply-templates 
><xsl:apply-templates 
select="(following-sibling::Pp | following-sibling::It 
| following-sibling::l)[1]" 
mode="af-It"
></xsl:apply-templates ></xsl:template 
><xsl:template match="It" mode="tag" 
><DT ><xsl:apply-templates mode="af-Sh" ></xsl:apply-templates ></DT 
><DD 
><P ><xsl:apply-templates mode="It" select="following-sibling::node()[1]" 
><xsl:with-param name="xo" select="Xo" ></xsl:with-param 
></xsl:apply-templates ></P 
><xsl:apply-templates 
select="(following-sibling::Pp | following-sibling::It)[1]" mode="af-It" 
></xsl:apply-templates 
><!-- xsl:value-of select="$c" ></xsl:value-of ><xsl:text > </xsl:text 
><xsl:value-of 
select="count (following-sibling::text() 
[$c = count (following-sibling::It)])" ></xsl:value-of 
--><!-- xsl:value-of 
select="following-sibling::node() 
[count (current()/following-sibling::It) = count (following-sibling::It)]" 
mode="It"
></xsl:value-of 
><xsl:apply-templates select="following-sibling::node()[1]" 
></xsl:apply-templates --></DD 
></xsl:template 
><xsl:template match="node()" mode="tag" ></xsl:template 
><xsl:template match="l[@type='-tag']" mode="af-Sh"
><DL ><xsl:apply-templates mode="tag" ></xsl:apply-templates ></DL  
></xsl:template 
><xsl:template match="l[@type='-column']" 
><TABLE ><xsl:apply-templates mode="column" /></TABLE ></xsl:template 
><xsl:template match="Ta" mode="column"
><TD 
><xsl:apply-templates ></xsl:apply-templates 
></TD ><xsl:apply-templates select="descendant::Ta[1]" mode="column" 
></xsl:apply-templates 
></xsl:template ><xsl:template match="Ta" ></xsl:template 
><xsl:template match="Sy" 
><B CLASS="Sy" 
><xsl:apply-templates select="text()" ></xsl:apply-templates ></B 
></xsl:template 
><xsl:template match="Li" 
><TT CLASS="Li" 
><xsl:apply-templates select="text()" ></xsl:apply-templates ></TT 
></xsl:template 
><xsl:template match="It" mode="column"
><TR 
><TD 
><xsl:apply-templates 
></xsl:apply-templates ></TD 
><xsl:apply-templates select="descendant::Ta[1]" mode="column" 
></xsl:apply-templates 
></TR 
></xsl:template 
><xsl:template match="l" mode="af-Sh-" ></xsl:template 
></xsl:stylesheet >